Package: org.grails.cli.profile

## [Groovy] Class CommandArgument

- org.grails.cli.profile.CommandArgument

- Represents argument to a command

  Authors:
    Graeme Rocher
  Since:

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `description` The description of the argument
    `java.lang.String` | `name` The name of the argument
    `boolean` | `required` Whether the argument is required or not
    `java.lang.String` | `target` The string argument this argument translates into

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.String description

      The description of the argument

    - #### java.lang.String name

      The name of the argument

    - #### boolean required

      Whether the argument is required or not

    - #### java.lang.String target

      The string argument this argument translates into